FaqGlassFish4RequiresJDK7

Contents

User specification: GlassFish 4 requires JDK 7

NetBeans 7.3.1 Installer

Windows/Unix installer

  • choose JDK 6 for the IDE
    • go to GlassFish 4.0 Installation panel
    • a warning GlassFish Server requires JDK 7 is shown
    • an user can proceed with JDK 6
      • GlassFish will ask for JDK 7 on 1st start in the IDE
    • or s/he can choose JDK 7 for GlassFish Server
      • GlassFish will start on chosen JDK 7 in the IDE
  • choose JDK 7 for the IDE
    • go to GlassFish 4.0 Installation panel
    • no warning shown
    • GlassFish will start o JDK 7

Mac installer

  • Mac installer uses the default Java on the system
    • an user can check the default JDK by invoking /usr/libexec/java_home
  • Users can install IDE with GlassFish 4.0 on both JDK 6, JDK 7 or newest
  • No GlassFish 4.0 specific check provided of default JDK on the system

NetBeans 7.3.1 IDE

  • run the IDE on JDK 6
    • go to Services tab, select Servers|GlassFish Server 4.0
    • invoke Start from popup of GlassFish node
    • if an user select JDK 7 in the IDE installer (Windows/Linux)
      • the GlassFish server will start on *chosen* JDK 7
    • if an user doesn't select JDK 7, or installed on Mac (or using the ZIP distribution)
      • pops up a combo box for choosing JDK 7
  • run the IDE on JDK 7
    • go to Services tab, select Servers|GlassFish Server 4.0
    • invoke Start from popup of GlassFish node
    • the GlassFish server starts normally on JDK 7
Not logged in. Log in, Register

By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo